Bug 1623018 (CVE-2018-15856) - CVE-2018-15856 libxkbcommon: Infinite loop when reaching EOL unexpectedly resulting in a crash
Summary: CVE-2018-15856 libxkbcommon: Infinite loop when reaching EOL unexpectedly res...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-15856
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1623038 1643141
Blocks: 1623044
TreeView+ depends on / blocked
 
Reported: 2018-08-28 11:52 UTC by Andrej Nemec
Modified: 2019-09-29 14:57 UTC (History)
3 users (show)

Fixed In Version: libxkbcommon 0.8.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 19:19:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2079 None None None 2019-08-06 12:11:14 UTC

Description Andrej Nemec 2018-08-28 11:52:23 UTC
An infinite loop when reaching EOL unexpectedly in compose/parser.c (aka the keymap parser) in xkbcommon before 0.8.1 could be used by local attackers to cause a denial of service during parsing of crafted keymap files.

Upstream patch:

https://github.com/xkbcommon/libxkbcommon/commit/842e4351c2c97de6051cab6ce36b4a81e709a0e1

References:

https://lists.freedesktop.org/archives/wayland-devel/2018-August/039232.html

Comment 4 errata-xmlrpc 2019-08-06 12:11:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2079 https://access.redhat.com/errata/RHSA-2019:2079

Comment 5 Product Security DevOps Team 2019-08-06 19:19:28 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-15856


Note You need to log in before you can comment on or make changes to this bug.